Subject: Re: MSVC linker
From: [email-masked] (Tim Iverson)

6 Jul 1997 17:41:37 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked] (Paul J. Metzger)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Paul J. Metzger" at Jul 6, 97 06:09:44 pm
X-Mailer: ELM [version 2.4 PL25]
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

This is a copy of a mailing re: linking without LD for b17, perhaps it will
help you link with MSVC.  The patch fixes a format incompatibility between
addresses in GNU b17 (and b18?) objects and true Microsoft PE objects. 

- Tim Iverson
  [email-masked]


+----------------
| Date: Sun, 6 Jul 1997 18:09:44 -0400 (EDT)
| From: "Paul J. Metzger" <[email-masked]>
| To: [email-masked]
| Subject: MSVC linker
| 
| I've browsed through the mailing archives and all the documentation
| I could find, but still haven't been able to figure out how to get
| code compiled under the GNU Win32 environment to work with code 


+----------------
| From: Tim Iverson <[email-masked]>
| Subject: Linking without ld
| To: [email-masked]
| Date: Thu, 3 Apr 1997 17:47:24 -0800 (PST)
| 
| I've applied this patch and it does indeed allow one to link objects
| produced by GCC with a different linker than LD.  I used Phar-Lap's
| linker, but I suspect this fix would also be sufficient for others.
| 
| Thanks Sean!
| 
| 
| - Tim Iverson
|   [email-masked]
| 
| 
| +----------------
| | From: [email-masked] (Sean McNeil)
| | To: [email-masked], [email-masked]
| | Subject: RE: Nobody in the world understands Gnu's 'ld'.
| | Date: Tue, 25 Mar 1997 21:59:46 -0800
| | 
| | Try the following:
| | 
| | *** gas/config/obj-coff.c~      Wed Dec 31 16:01:33 1969
| | --- gas/config/obj-coff.c       Sun Mar 23 14:20:52 1997
| | ***************
| | *** 3176,3183 ****
| | --- 3176,3185 ----
| |       {
| |         long size;
| | 
| | + #ifndef TE_PE
| |         segment_info[i].scnhdr.s_paddr = addr;
| |         segment_info[i].scnhdr.s_vaddr = addr;
| | + #endif
| | 
| |         if (segment_info[i].scnhdr.s_name[0])
| |         {
|
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".